function onBegin() 
	local level = getLevel()
	disableMovement()
	makeUnskippable()
	wait(1)
	player.StateMachine.State = 11
	player.DummyAutoAnimate = false -- Let us play non-default animations
	
	say("SunnyLumi_endingalt1")
	coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(-680, 4650), 2))
	say("SunnyLumi_endingalt2")
	
	coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(-680, 4250), 7))
	setFlag("meowberrycolorgrade", true)
	wait(3)
	endCutscene()
end

function onEnd(room, wasSkipped)
	completeArea(true, false, false)
end